"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const path_1 = require("path");
const tasksys_1 = require("@tgra/tasksys");
commander_1.program
    .command("sequence:build")
    .description("Builds a sequence fully")
    .argument("<sequence-path>", "The path to the sequence to build")
    .option("-v, --verbose", "verbose mode", false)
    .action((sequencePath, flags) => {
    const resolvedSequencePath = (0, path_1.resolve)(sequencePath);
    const sequence = tasksys_1.Sequence.fromFile(resolvedSequencePath);
    sequence.builder.quiet = !flags.verbose;
    sequence.execute();
    sequence.builder.build();
});
